<?php

include ("inc.php3");
include_ecrire ("inc_mots.php3");
include_ecrire ("inc_sites.php3");

$recherche = addslashes($recherche);

$query_articles = "SELECT id_article as spiplien, titre, descriptif, date, lang FROM spip_articles WHERE";
$query_breves = "SELECT id_breve as spiplien,titre,texte , date_heure as date,lang FROM spip_breves WHERE ";
$query_rubriques = "SELECT id_rubrique as spiplien,titre,descriptif,date,lang FROM spip_rubriques WHERE ";
$query_sites = "SELECT id_syndic ,nom_site as titre,date,url_site as spiplien FROM spip_syndic WHERE ";
$query_auteurs= "SELECT id_auteur, nom as titre, email as spiplien FROM spip_auteurs WHERE";

if (ereg("^[0-9]+$", $recherche)) {
	$query_articles .= " (id_article = $recherche) OR ";
	$query_breves .= " (id_breve = $recherche) OR ";
	$query_rubriques .= " (id_rubrique = $recherche) OR ";
	$query_sites .= " (id_syndic = $recherche) OR ";
	$query_auteurs.= " (id_auteur = $recherche) OR ";
}

// Eviter les symboles '%', caracteres SQL speciaux
$recherche = str_replace("%","\%",$recherche);
$rech2 = split("[[:space:]]+", $recherche);
if ($rech2)
	$where = " (titre LIKE '%".join("%' AND titre LIKE '%", $rech2)."%') ";
else
	$where = " 1=2";

$query_articles .= " $where AND statut = 'publie' ORDER BY date_modif DESC ";
$query_breves .= " $where AND statut = 'publie' ORDER BY maj DESC";
$query_rubriques .= " $where ORDER BY maj DESC";
$query_auteurs .= " $where ORDER BY nom DESC ";
$query_auteurs = ereg_replace("titre LIKE", "nom LIKE", $query_auteurs);

$query_sites .= " $where AND statut = 'publie' ORDER BY maj DESC ";
$query_sites  = ereg_replace("titre LIKE", "nom_site LIKE", $query_sites);

// Fonction de recherche (& affichage de la liste) des mots contenus dans les titres
// des articles, brves, rubriques, auteurs et sites
function afficher_resultats($option,$query='') {
    $found = 0;

   if ((lire_meta('multi_rubriques') == 'oui' AND $GLOBALS['coll'] == 0) OR lire_meta('multi_articles') == 'oui') {
   $afficher_langue = true;
   if ($GLOBALS['langue_rubrique']) $langue_defaut = $GLOBALS['langue_rubrique'];
      else $langue_defaut = lire_meta('langue_site');
   }

    switch ($option) {
    case 'articles' :
         $motResume= 'descriptif';  // Pour la balise <title> du lien
         $motLien='art';            // Pour le lien lui-mme
         $typeresultats = _T('info_articles_trouves'); // Pour le titre du bloc
         $logocontenu = "article-24.gif";      // Pour le logo du bloc
    break;
    case 'breves' :
         $motResume= 'texte';
         $motLien='br';
         $typeresultats = _T('info_breves_touvees');
         $logocontenu = "breve-24.gif";
    break;
    case 'rubriques' :
         $motResume= 'descriptif';
         $motLien='rub';
         $typeresultats = _T('info_rubriques_trouvees');
         $logocontenu = "rubrique-24.gif";
    break;
    case 'auteurs' :
         $motResume= 'spiplien';
         $motLien='mailto:';
         $typeresultats = _T('info_auteurs_trouves');
         $logocontenu = "redacteurs-24.gif";
    break;
    case 'sites' :
         $motResume= 'descriptif ';
         $motLien='';
         $typeresultats = _T('info_sites_trouves');
         $logocontenu = "site-24.gif";
    break;
    }


   $tranches = afficher_tranches_requete($query, 2);
   if (strlen($tranches)) {
		debut_cadre_relief($logocontenu);
		if ($typeresultats) {
			echo "<p><table width=100% cellpadding=0 cellspacing=0 border=0 background=''>";
			echo "<tr><td width=100% background=''>";
			echo "<table width=100% cellpadding=3 cellspacing=0 border=0>";
			echo "<tr bgcolor='#333333'><td width=100% colspan=2><font face='Verdana,Arial,Sans,sans-serif' size=3 color='#FFFFFF'>";
			echo "<b>$typeresultats</b></font></td></tr>";

		}
		else {
			echo "<p><table width=100% cellpadding=3 cellspacing=0 border=0 background=''>";
		}

       echo "<tr><td><table cellpadding=3 cellspacing=0 border=0><td>";
       echo $tranches;
       echo "</td></table></td></tr>";
       $result = spip_query($query);

       while ($res = spip_fetch_array($result)) {
           $vals = '';
           $found++;
           $langr="";
           if ($lang = $res['lang']) changer_typo($lang);
           if ($afficher_langue AND $lang != $langue_defaut AND $lang)
               $langr = ' ('.traduire_nom_langue($lang).')';

           $date = affdate_jourcourt($res['date']);
           if ($date)
               $date = " le ".$date;
           $s ='<a href="#" OnClick="window.opener.fabriqueLien(\''.$motLien.$res['spiplien'].'\',window.opener.document.formulaire.texte); window.close();" style="cursor: pointer;" title="'.entites_html($res[$motResume]).'">'.$res['titre'].'</a>'.$date.$langr;
           $vals[] = $s;
		   $table[] = $vals;
       }

       spip_free_result($result);
	   $styles = array('arial2', 'arial2');
	   $largeurs = array('', '');
	   afficher_liste($largeurs, $table, $styles);

       if ($typeresultats) echo "</table></td></tr>";
	   echo "</table>";
       fin_cadre_relief();
    }
    return $found;
}

$optionsRecherche = array('articles'=>'icone_articles',
                           'breves'=>'icone_breves',
                           'rubriques'=>'icone_rubriques',
                           'auteurs'=>'icone_tous_auteur',
                           'sites'=>'icone_sites_references'
                           );

debut_html(_T('titre_page_recherche', array('recherche' => $recherche)));
echo "<div id='blocRecherche' style='margin:10px;'>";

debut_cadre_relief($logocontenu);

//Formulaire recherche avec options
echo "<form method='get' style='margin: 0px;' action='editeur_recherche.php3'>";
echo "<font face='Verdana,Arial,Sans,sans-serif' size=1 color='#505050'><b>"._T('info_rechercher_02')."</b></font><br>";
echo '<input type="text" value="'.$recherche.'" name="recherche"  class="spip_recherche"  class="arial2" style="width: 150px" accesskey="r">';
echo '  <input type="submit" name="Submit" value="Rechercher" class="spip_recherche" >';
echo "<p>";

while (list($option,$label) = each($optionsRecherche)) {
    echo '<label class="arial2" ><input type="radio" name="options_recherche" value="'.$option.'" ';
    if ($options_recherche == $option)
        echo 'checked';
    echo '>'._T($label).'</label>';
}

echo "</p>";
echo "</p></form>";

fin_cadre_relief();

echo "<FONT FACE='Verdana,Arial,Sans,sans-serif'><B>"._T('info_resultat_recherche')."</B><BR>";
echo "<FONT SIZE=5 COLOR='$couleur_foncee'><B>".typo($recherche)."</B></FONT><p>";

$q = 'query_'.$options_recherche;

if (!afficher_resultats($options_recherche,$$q)) 	echo "<FONT FACE='Verdana,Arial,Sans,sans-serif'>"._T('avis_aucun_resultat')."</FONT><P>";
echo "</div>";
?>
